% Solve VP to recover wafer map from a small number of measurements
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SampleData(i,1):  measured chip performances
% SampleX(i,1):     coordinates of measurements (X-axis)
% SampleY(i,1):     coordinates of measurements (Y-axis)
% DataFlag(i,j):    wafer data flag
%                   1 if (i,j) is a chip
%                   0 otherwise
% noise(boolean):   whether measurements contain significant noise
%                   (optional, default = false)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PerfEst(i,j):     recovered wafer map by VP
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function PerfEst = solve_vp(SampleData,SampleX,SampleY,DataFlag,noise)

% set default parameter
if nargin < 5
    noise = false;
end

if noise
    PerfEst = solve_vp_noise(SampleData,DataFlag,SampleX,SampleY);
else
    PerfEst = solve_vp_accu(SampleData,DataFlag,SampleX,SampleY);
end